#ifndef CFOOD_H
#define CFOOD_H

class CFood {
protected:
    double caloriesPerKg;

public:
    CFood(double caloriesPerKg);
    virtual ~CFood();

    virtual double GetCaloriesForOneKg() const;
    virtual double GetAmountForOnePersonPerDay(unsigned short weight) const = 0;
};

class CChickenMeat : public CFood {
public:
    CChickenMeat();
    double GetAmountForOnePersonPerDay(unsigned short weight) const override;
};

class CMilk : public CFood {
public:
    CMilk();
    double GetAmountForOnePersonPerDay(unsigned short weight) const override;
};

class CChickenEgg : public CFood {
public:
    CChickenEgg();
    double GetAmountForOnePersonPerDay(unsigned short weight) const override;
};

#endif // CFOOD_H
